CVE-2020-13775

NameCVE-2020-13775
DescriptionZNC 1.8.0 up to 1.8.1-rc1 allows authenticated users to trigger an application crash (with a NULL pointer dereference) if echo-message is not enabled and there is no network.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow
Debian Bugs962105

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
znc (PTS)stretch (security), stretch1.6.5-1+deb9u2fixed
buster1.7.2-3fixed
bullseye, sid1.8.2-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
zncsourcejessie(not affected)
zncsourcestretch(not affected)
zncsourcebuster(not affected)
zncsource(unstable)1.8.1-1962105

Notes

[buster] - znc <not-affected> (Vulnerable code introduced later)
[stretch] - znc <not-affected> (Vulnerable code introduced later)
[jessie] - znc <not-affected> (Vulnerable code introduced later)
Fixed by: https://github.com/znc/znc/commit/2390ad111bde16a78c98ac44572090b33c3bd2d8 (znc-1.8.1-rc1)
Introduced with: https://github.com/znc/znc/commit/d229761821da38d984a9e4098ad96842490dc001 (znc-1.8.0)

Search for package or bug name: Reporting problems